# Class DefaultSampleBasedInspection

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
DefaultEvaluationMethod
AbstractDataEvaluation
DefaultSampleBasedInspection

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`

@UML(identifier="DQ_SampleBasedInspection", specification=UNSPECIFIED) public class DefaultSampleBasedInspection extends AbstractDataEvaluation
Sample based inspection. The following properties are mandatory in a well-formed metadata according ISO 19157:
`DQ_SampleBasedInspection` `├─samplingScheme……………` Type of sampling scheme and description of the sampling procedure. `├─lotDescription……………` How lots are defined. `└─samplingRatio………………` How many samples on average are extracted for inspection from each lot of population.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  1.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultSampleBasedInspection()`
  Constructs an initially empty sample based description.
  `DefaultSampleBasedInspection(DefaultSampleBasedInspection object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getLotDescription()`
  Returns the information of how lots are defined.
  `InternationalString`
  `getSamplingRatio()`
  Returns the information on how many samples on average are extracted for inspection from each lot of population.
  `InternationalString`
  `getSamplingScheme()`
  Returns the information of the type of sampling scheme and description of the sampling procedure.
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.
  `void`
  `setLotDescription(InternationalString newValue)`
  Sets the information of how lots are defined.
  `void`
  `setSamplingRatio(InternationalString newValue)`
  Sets the information on how many samples on average are extracted for inspection from each lot of population.
  `void`
  `setSamplingScheme(InternationalString newValue)`
  Sets the information of the type of sampling scheme and description of the sampling procedure.

  ### Methods inherited from class DefaultEvaluationMethod

  `getDates, getEvaluationMethodDescription, getEvaluationMethodType, getEvaluationProcedure, getReferenceDocuments, setDates, setEvaluationMethodDescription, setEvaluationMethodType, setEvaluationProcedure, setReferenceDocuments`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, clone, equals, equals, getInterface, hashCode, isEmpty, nilReasons, prune, toString`

  ### Methods inherited from class Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultSampleBasedInspection

    public DefaultSampleBasedInspection()
    Constructs an initially empty sample based description.

  - ### DefaultSampleBasedInspection

    public DefaultSampleBasedInspection(DefaultSampleBasedInspection object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.

- ## Method Details

  - ### getSamplingScheme

    @UML(identifier="samplingScheme", obligation=MANDATORY, specification=UNSPECIFIED) public InternationalString getSamplingScheme()
    Returns the information of the type of sampling scheme and description of the sampling procedure.
    Returns:
      sampling scheme and sampling procedure.

  - ### setSamplingScheme

    public void setSamplingScheme(InternationalString newValue)
    Sets the information of the type of sampling scheme and description of the sampling procedure.
    Parameters:
      `newValue` - the new sampling scheme.

  - ### getLotDescription

    @UML(identifier="lotDescription", obligation=MANDATORY, specification=UNSPECIFIED) public InternationalString getLotDescription()
    Returns the information of how lots are defined.
    Returns:
      information on lots.

  - ### setLotDescription

    public void setLotDescription(InternationalString newValue)
    Sets the information of how lots are defined.
    Parameters:
      `newValue` - the new information.

  - ### getSamplingRatio

    @UML(identifier="samplingRatio", obligation=MANDATORY, specification=UNSPECIFIED) public InternationalString getSamplingRatio()
    Returns the information on how many samples on average are extracted for inspection from each lot of population.
    Returns:
      average number of samples extracted for inspection.

  - ### setSamplingRatio

    public void setSamplingRatio(InternationalString newValue)
    Sets the information on how many samples on average are extracted for inspection from each lot of population.
    Parameters:
      `newValue` - the new information.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.